Public APIAPI ReferenceDeployments

List deployment events.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

GET/v1/apps/{appId}/deployments/{deploymentId}/events

Returns up to limit events after the decimal event ID in after. Corresponds to the ntro logs command.

Authorization

bearerAuth
AuthorizationBearer <token>

Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.

In: header

Path Parameters

appId*string
deploymentId*string

Query Parameters

after?string
limit?integer

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/string/deployments/string/events"
{  "done": true,  "items": [    {      "createdAt": "string",      "id": "string",      "level": "string",      "message": "string",      "source": "string"    }  ],  "nextAfter": "string"}